﻿namespace UdPunching
{
    public enum ExchangeMessageSection : byte
    {
        /// <summary>
        /// 4 bytes: LeInt32 UnixTimeStamp
        /// </summary>
        TimeStamp = 0,

        /// <summary>
        /// 17 bytes: 15 bytes ZeroFilled IpAddress 000.000.000.000 + LeInt16 Port
        /// </summary>
        PeerEndPoint = 1,

        /// <summary>
        /// 16 bytes: just bytes of GUID
        /// </summary>
        PeerId = 2,
    }
}